package document_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type DocumentAddattachmentRequest struct {
	// <ext>core:true;format:string</ext> 【签署文档id】签署文档id 【作用】 查询需要添加附件的签署文档
	DocumentId string `json:"documentId"`
	// <ext>core:true</ext> 【附件文件】附件文件 【传参】 支持的文件格式：pdf，doc， docx， xls，xlsx，ppt，pptx。
	Attachment *os.File `json:"attachment"`
	// <ext>core:true</ext> 【附件名称】附件名称 【传参】 须包含扩展名，例如：附件.pdf
	Title string `json:"title"`
	// <ext>core:true</ext> 【附件描述】附件描述 【作用】 可添加文件的描述信息，将文件使用PDF查看软件打开时可看到该描述信息
	Description string `json:"description,omitempty"`
}

func (obj DocumentAddattachmentRequest) GetUrl() string {
	return "/document/addattachment"
}

func (obj DocumentAddattachmentRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("documentId", obj.DocumentId)
	parameter.AddParam("title", obj.Title)
	parameter.AddParam("description", obj.Description)
	parameter.AddFiles("attachment", obj.Attachment)
	return parameter
}
